parport_device_num
Prev | Chapter 22. Parallel Port Devices | Next

## Name

parport_device_num — convert device coordinates

## Synopsis

`int parport_device_num (` | int | parport,
| int | mux,
| int | daisy`)`;

## Arguments

`parport`

  parallel port number

`mux`

  multiplexor port number (-1 for no multiplexor)

`daisy`

  daisy chain address (-1 for no daisy chain address)

## Description

This tries to locate a device on the given parallel port, multiplexor port and daisy chain address, and returns its device number or `-ENXIO` if no device with those coordinates exists.

Prev | Up | Next
parport_close | Home | Chapter 23. Message-based devices